/***********************************************************************
 * File: Aimpl.java
 * 	(Extracted from
 *	   "$Id: Aimpl.java,v 1.2 2004/06/12 17:41:10 maoyam Exp maoyam $")
 *
 * Abstracts:
 *  This Java source code implements an example of the class extends
 * an abstract class.
 *  (Refered Class: A.class)
 *
 * Copyright (C) 2004 Maoyam Tokyo, Japan (mailto:maoyam@mail.goo.ne.jp)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 **********************************************************************/

public class Aimpl extends A {
	public Aimpl() { }

	public Aimpl(int alpha) { super(alpha); }

	public long total() {
		return	x + prox + get_prx() + px;
	}

	static public void main(String[] args) {
		Aimpl	aimpl = new Aimpl();
		aimpl.print();

		System.out.print("\n");
		aimpl	= new Aimpl(2); // alpha = 2 --> total = 16
		aimpl.print();
	}
}
