/***********************************************************************
 * File: FacilityCommandTest_prime_sifter.java
 * 	(Extracted from
 *	   "$Id: FacilityCommandTest_prime_sifter.java,v 1.2 2004/06/12 17:46:33 maoyam Exp maoyam $")
 *
 * Abstracts:
 *  This Java source code implements an example FacilityCommand class.
 *  "FacilityAgentTest_prime_sifter" class processes this command.
 *  (Refered Class: FacilityAgentTest_prime_sifter)
 *
 * Copyright (C) 2004 Maoyam Tokyo, Japan (mailto:maoyam@mail.goo.ne.jp)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 **********************************************************************/

public class FacilityCommandTest_prime_sifter
								extends my_util.FacilityCommand {
	private int	primes_max_cnt = 0;	// input
	private long	number = 0;		// input
	private boolean	is_prime = false;	// output

	public int getPrimes_max_cnt() { return primes_max_cnt; }
	public void setPrimes_max_cnt(int primes_max_cnt) {
		this.primes_max_cnt	= primes_max_cnt;
	}

	public long getNumber() { return number; }
	public void setNumber(long number) { this.number = number; }

	public boolean getIs_prime() { return is_prime; }
	public void setIs_prime(boolean is_prime) {
		this.is_prime = is_prime;
	}
}
