/***********************************************************************
 * File: I.java
 * 	(Extracted from
 *	   "$Id: I.java,v 1.2 2004/07/19 11:25:54 maoyam Exp maoyam $")
 *
 * Abstracts:
 *  This Java source code implements an example code how to use
 * SimpleDateFormat.  This shows the current date-time of JST and GMT.
 *
 * Copyright (C) 2004 Maoyam Tokyo, Japan (mailto:maoyam@mail.goo.ne.jp)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 **********************************************************************/

import java.text.SimpleDateFormat;
import java.text.DateFormat;
import java.util.Date;

public class I {
	static public void main(String[] args) {
		DateFormat	df =
				new SimpleDateFormat(
					" yyyy N MM  dd  HH  mm  ss.SSS b");

		Date now = new Date();
		long time_GMT = now.getTime() - 9 * 3600 * 1000;
		Date now_GMT = new Date(time_GMT);

		StringBuffer sb = new StringBuffer();
		sb.append(df.format(now)).append(" JST\n")
			.append(df.format(now_GMT)).append(" GMT\n");

		System.out.print(sb.toString());
	}
}
