/***********************************************************************
 * File: LogConf.java
 * 	(Extracted from
 *	   "$Id: LogConf.java,v 1.1 2004/07/04 12:34:49 maoyam Exp maoyam $")
 *
 * Abstracts:
 *  This Java source code implements a logging configuration class.
 *  (Refered Class: Log)
 *
 * Copyright (C) 2004 Maoyam Tokyo, Japan (mailto:maoyam@mail.goo.ne.jp)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 **********************************************************************/

package	my_util;

import java.text.SimpleDateFormat;

import my_util.Utillity;

/**
 * <p>Oo͂Ɋւ\[߂f[^EXbgłB</p>
 * @author maoyam
 * @version 1.0
 * @see Log
 */
public class LogConf {
	/**
	 * tϊtH[}bg̃p^[B
	 * java.text.SimpleDateFormat QƂ̂ƁB
	 */
	protected SimpleDateFormat df = null;
	/** Oo͐̃pX */
	protected String path = null;
	/** Oo͂̕GR[fBO */
	protected String encoding = null;
	/** OEtB[h̋؂蕶 */
	protected String delimit = null;
	/** Oo̓xBmy_util.Log QƂ̂ */
	protected int level = -1;

	/**
	 * RXgN^BOo͐Ɋւ\w肷B
	 * @param simple_date_format_pattern
	 *              tEtB[h̃tH[}bgEp^[B
	 *              null w肵ꍇ my_util.Utillity pbP[W
	 *              format_milli_sec() gpB
	 * @param path Oo͐̃pX
	 * @param encoding Oo͂̕GR[fBO
	 * @param delimit OEtB[h̋؂蕶
	 * @param level OExBmy_util.Log QƂ̂
	 */
	public LogConf(String simple_date_format_pattern
					, String path
					, String encoding
					, String delimit
					, int level
					) {
		this.df	= ((simple_date_format_pattern != null)?
					new SimpleDateFormat(simple_date_format_pattern):
					null);
		this.path		= path;
		this.encoding	= encoding;
		this.delimit	= delimit;
		this.level		= level;
	}
}
