/***********************************************************************
 * File: NotRunningFacilityAgentException.java
 * 	(Extracted from
 *	   "$Id: NotRunningFacilityAgentException.java,v 1.2 2004/06/12 17:39:45 maoyam Exp maoyam $")
 *
 * Abstracts:
 *  This Java source code implements a NotRunningFacilityAgentException
 * utility class.  This exeption means the agent isn't running state.
 *
 * Copyright (C) 2004 Maoyam Tokyo, Japan (mailto:maoyam@mail.goo.ne.jp)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 **********************************************************************/

package	my_util;

/**
 * <p>M FacilityAgent ~Ԃɂꍇɔ܂</p>
 * @author maoyam
 * @version 1.0
 * @see FacilityAgent
 */
public class NotRunningFacilityAgentException extends Exception {
	/** RXgN^: ObZ[Wݒł܂ */
	public NotRunningFacilityAgentException(String msg) { super(msg); }
}
