/***********************************************************************
 * File: TimeoutException.java
 * 	(Extracted from
 *	   "$Id: TimeoutException.java,v 1.3 2004/06/06 11:02:53 maoyam Exp maoyam $")
 *
 * Abstracts:
 *  This Java source code implements a TimeoutException exception.
 *
 * Copyright (C) 2004 Maoyam Tokyo, Japan (mailto:maoyam@mail.goo.ne.jp)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 **********************************************************************/

package	my_util;

/**
 * <p>[eBeBENXQŃ^CAEgꍇ̗O
 * `܂B</p>
 * @author maoyam
 * @version 1.0
 */
public class TimeoutException extends Exception {
	private StringBuffer msg = null;

	/**
	 * RXgN^B
	 * ^CAEgoCӂ̕ƃ^CAEgl
	 * ObZ[WƂĕێ܂B
	 * @param method_desc ^CAEgO̋LqB
	 *                    "NX.\bh(...)[֘A]"
	 *                    Ƃ`̕B
	 * @param timeout ^CAEgl
	 */
	public TimeoutException(String method_desc, long timeout) {
		super();
		msg = new StringBuffer(method_desc);
		msg.append(": Timeout (").append(timeout).append(")");
	}

	/**
	 * ^CAEgo̋Lqƃ^CAEgl܂ށA
	 * ObZ[W擾܂B
	 * @return ObZ[W̕
	 */
	public String getMessage() { return	msg.toString(); }
}
