/***********************************************************************
 * File: A.java
 * 	(Extracted from
 *	   "$Id: A.java,v 1.2 2004/06/12 17:40:35 maoyam Exp maoyam $")
 *
 * Abstracts:
 *  This Java source code implements an exmple of abstract class.
 *  (Refered Class: Aimpl.java)
 *
 * Copyright (C) 2004 Maoyam Tokyo, Japan (mailto:maoyam@mail.goo.ne.jp)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 **********************************************************************/

abstract public class A {
	public	int	px;
	private	int	prx;
	protected int	prox;
	long	x;
	A () {
		px	= 1;
		prx	= px + 1;
		prox	= prx + 1;
		x	= prox + 1;
	}

	A(int alpha) {
		this();
		px += alpha; prox += alpha; x += alpha;
	}

	abstract public long total();

	protected int get_prx() {
		return prx;
	}

	public void print() {
		System.out.print("px = " + px + "\n"
						+ "prx = " + prx + "\n"
						+ "prox = " + prox + "\n"
						+ "x = " + x + "\n"
						+ "-------------------\n"
						+ "total = " + total() + "\n"
						);
	}
}
