/***********************************************************************
 * File: F.java
 * 	(Extracted from
 *	   "$Id: F.java,v 1.2 2004/06/26 17:26:47 maoyam Exp maoyam $")
 *
 * Abstracts:
 *  This Java source code implements an example using java.util.Vector.
 *
 * Copyright (C) 2004 Maoyam Tokyo, Japan (mailto:maoyam@mail.goo.ne.jp)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 **********************************************************************/

import java.util.*;

public class F {
	static public void main(String[] args) {
		Vector	v = new Vector();
		Integer[] is = new Integer[3];
		for (int i = 0; i < is.length; ++i) {
			is[i]	= new Integer(i);
			v.add(is[i]);
		}

		int index = 0;
		Enumeration e = v.elements();
		while (e.hasMoreElements()) {
			Integer ie = null;
			try { ie = (Integer)(e.nextElement());
			} catch (Exception ex) {
				System.out.println("index = " + index
								+ "e.nextElement() thrown \""
								+ ex.getMessage() + "\"");
				ex.printStackTrace();
			}

			System.out.println("index = " + index
								+ ": ie = \"" + ie + "\"");

			// v.remove(ie);
			v.remove(index);

			++index;
		}
	}
}
