/***********************************************************************
 * File: BinSemaphore.java
 * 	(Extracted from
 *	   "$Id: BinSemaphore.java,v 1.2 2004/02/22 12:07:32 maoyam Exp maoyam $")
 *
 * Abstracts:
 *  This Java source code implements a binary-semaphore utility class.
 *
 * Copyright (C) 2004 Maoyam Tokyo, Japan (mailto:maoyam@mail.goo.ne.jp)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 **********************************************************************/

package my_util;

/**
 * xɈ̃XbhlłoCiEZ}tHłB
 * @author maoyam
 * @version 1.0
 * @see my_util.Semaphore
 */
public class BinSemaphore extends Semaphore {

	/**
	 *  me Ŏw肳ꂽXbh炠炩ߊlꂽԂ
	 * oCiEZ}tH쐬܂B
	 *  o Ŏw肳ꂽIuWFNg̃oCiEZ}tH
	 * ֘AtÃXbhԂ̖IȋLIuWFNg
	 * ƂȂ܂B
	 * @param	me	oCiEZ}tH炩ߊlXbhB
	 *				null w肳ꂽꍇAǂ̃Xbhl
	 *				ȂoCiEZ}tH쐬܂
	 * @param	o	oCiEZ}tHɖIɊ֘At
	 *				XbhԋLIuWFNgB
	 *				null w肳ꂽꍇALIuWFNgƊ֘At
	 *				ĂȂoCiEZ}tH쐬܂
	 */
	public BinSemaphore(Thread me, Object o) {
		super(me, false, o, Semaphore.MIN_CNT_OF_OWNERS);
	}

	/**
	 * XbhԋLIuWFNgƊ֘AtA
	 * ǂ̃XbhlĂȂZ}tH쐬܂B
	 * new BinSemaphore(null, o);
	 * ƓłB
	 */
	public BinSemaphore(Object o) {
		this(null, o);
	}

	/**
	 * XbhԋLIuWFNgƊ֘AtꂸA
	 * ǂ̃XbhlĂȂZ}tH쐬܂B
	 * new BinSemaphore(o);
	 * ƓłB
	 */
	public BinSemaphore() {
		this(null);
	}
}
