/***********************************************************************
 * File: Inspectable.java
 * 	(Extracted from
 *	   "$Id: Inspectable.java,v 1.1 2004/06/26 17:19:03 maoyam Exp maoyam $")
 *
 * Abstracts:
 *  This Java source code implements a Inspectable utility interface.
 *  (Refered Class: Inspector, InspectionData, Application)
 *
 * Copyright (C) 2004 Maoyam Tokyo, Japan (mailto:maoyam@mail.goo.ne.jp)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 **********************************************************************/

package my_util;

/**
 * <p><em>CXyN^</em>Ԃ̃T}яڍ׏Ď
 * NXC^tF[XłB</p>
 *
 * @author maoyam
 * @version 1.0
 * @see Inspector
 * @see InspectionData
 * @see Application
 */
public interface Inspectable {

	/**
	 * Ԃ̃T}Ԃ߂ɎKv܂B
	 *
	 * @return T}BInspectionData QƂ邱
	 */
	public InspectionData get_summary();

	/**
	 * Ԃ̏ڍ׏Ԃ߂ɎKv܂B
	 *
	 * @return ڍ׏BInspectionData QƂ邱
	 */
	public InspectionData get_details();
}
