/***********************************************************************
 * File: Loggable.java (interface)
 * 	(Extracted from
 *	 "$Id: Loggable.java,v 1.3 2004/07/04 12:36:06 maoyam Exp maoyam $")
 *
 * Abstracts:
 *   This Java source code defines the Loggable utility interface.
 *   (Refered class: Log, FacilityAgent)
 *
 * Copyright (C) 2004 Maoyam Tokyo, Japan (mailto:maoyam@mail.goo.ne.jp)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 **********************************************************************/

package my_util;

/**
 * <p>OEbZ[WL^NXC^tF[XłB</p>
 *
 * @author meoyam
 * @version 1.0
 * @see Log
 * @see FacilityAgent
 */
public interface Loggable {
	/**
	 * OEbZ[Wo͂Kv܂B
	 *
	 * @param log_class OExw肵܂BLog NXQƂ̂
	 * @param msg G[EbZ[Ww肵܂
	 */
	public void log(int log_class, String msg);

	/**
	 * ObZ[W̏o͐pXEGR[fBOE擾xE
	 * tB[h؂蕶ύXKv܂B
	 *
	 * @param log_conf Oo͐̍\B
	 *                 my_util.LogConf QƂ̂ƁB
	 * @return <ul><li>true -- Oo͍\̐؂ւƏo͐
	 *                         I[vɐꍇB</li
	 *            ><li>false -- Oo͐\̐؂ւɎs
	 *                          ꍇ</li
	 *            ></ul>
	 */
	public boolean change_log(LogConf log_conf) throws Exception;
}
