/***********************************************************************
 * File: TimerUser.java (interface)
 * 	(Extracted from
 *	 "$Id: TimerUser.java,v 1.1 2004/06/20 10:54:57 maoyam Exp maoyam $")
 *
 * Abstracts:
 *   This Java source code defines the TimerUser utility interface.
 *   (Refered class: FacilityAgent, Timer)
 *
 * Copyright (C) 2004 Maoyam Tokyo, Japan (mailto:maoyam@mail.goo.ne.jp)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 **********************************************************************/

package my_util;

/**
 * <p>FacilityAgent ^C}@\𗘗p邽߂Ɏ܂B</p>
 *
 * @author meoyam
 * @version 1.0
 * @see FacilityAgent
 * @see Timer
 */
public interface TimerUser {

	/**
	 * ^C}^CAEgoƂʒm܂B
	 *
	 * @param cmd Timer.add() \bhŃ^C}@\ɓo^
	 *            TimerCommand
	 * @return int <ul><li>0 -- ^CAEgIꍇ</li
	 *                ><li>1 ȏ̒l -- ^CAEgُI
	 *                                   ꍇ</li
	 *                ></ul>
	 * @exception Exception ^CAEgsɔO
	 */
	public int timer_expired(TimerCommand cmd) throws Exception;

	/**
	 * ^C}@\~Ƃʒm܂B
	 *
	 * @param cmd Timer.add() \bhŃ^C}@\ɓo^
	 *            TimerCommand
	 * @return int <ul><li>0 -- ^C}~Iꍇ</li
	 *                ><li>1 ȏ̒l -- ^C}~ُI
	 *                                   ꍇ</li
	 *                ></ul>
	 * @exception Exception ^CAEgsɔO
	 */
	public int timer_halt(TimerCommand cmd) throws Exception;
}
